## Index

### Classes

- DarcInst
- DarcInsts
- DarcStruct

### Interfaces

- IDarcAttr

### Type aliases

- IRule

### Functions

- toIId

## Type aliases

### IRule

IRule: [string, IIdentity | InstanceID]

- Defined in src/v2/byzcoin/contracts/darcInsts.ts:26

Update rules given an action and an identity. If it's an InstanceID, it will be interpreted as darc:instanceID.

## Functions

### toIId

- toIId(id: IIdentity | InstanceID): IIdentity

- - Defined in src/v2/byzcoin/contracts/darcInsts.ts:194

  #### Parameters

  - ##### id: IIdentity | InstanceID

  #### Returns IIdentity

Generated using TypeDoc